Applies display settings and filters to a map dashboard. These settings are specific to map dashboards, and cannot be applied to standard dashboards. To apply these settings, You must also have either: Created the dashboard or have DashboardAdministrator Manage and the dashboard is shared at all or have DashboardAdministrator Manage permission and the dashboard is public or have SharedDashboardsOrMaps Edit permission and the dashboard is shared with you
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| dashboardId | The identifier of the dashboard to apply these settings to | integer (int32) | Required |
Request Body
MapDashboardSettingsRequestV202208
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| description | The description of the dashboard. Max length of 255 Required (defined) | string | ||||||||||||
| fixedCommodityIds | List of Commodities to display for each data type. Required if GlobalCommodityDisplay is Fixed, ignored otherwise. Maximum length of 5 items. Required when GlobalCommodityDisplay is set to Fixed List cannot be empty | integer[] | ||||||||||||
| globalCommodityDisplay | Set how commodities should be ordered for each data type. Applied individually to Cost, Use, and GHG Emissions. Highest - Order displayed commodities in order of Highest Cost/Use/GHG Emissions Lowest - Order displayed commodities in order Lowest Cost/Use/GHG Emissions Fixed - Select up to 5 fixed commodities to display. One of ‘Highest’, ‘Lowest’, ‘Fixed’ Required (defined) | string | ||||||||||||
| mapDashboardFilter | Filters to apply to the map. Required (defined) | FilterEdit[] | ||||||||||||
|
FilterEdit properties
|
||||||||||||||
| showCost | Flag to indicate if Cost data should be shown on the dashboard. Required (defined) | boolean | ||||||||||||
| showGHG | Flag to indicate if Greenhouse Gas data should be shown on the dashboard. Required (defined) | boolean | ||||||||||||
| showUse | Flag to indicate if Use data should be shown on the dashboard. Required (defined) | boolean | ||||||||||||
| title | The title of the dashboard. Required Max length of 255 | string | ||||||||||||
Example Request Body
{ "description": "string", "fixedCommodityIds": [
1
], "globalCommodityDisplay": "string", "mapDashboardFilter": [
{ "fieldId": 1, "operator": "string", "value": "string"
}
], "showCost": false, "showGHG": false, "showUse": false, "title": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
MapDashboardSettingsResponseV202208
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| description | The description of the dashboard. Maximum length of 255 characters. | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| fixedCommodities | List of Commodities to display for Cost, Use, and GHG, if applicable. Empty if GlobalCommodityDisplay is set to “Highest” or “Lowest”. | CommodityChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||
|
CommodityChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||
| globalCommodityDisplay | Display order for commodities. Applied individually to Cost, Use, and GHG Emissions. Highest - Order displayed commodities in order of Highest Cost/Use/GHG Emissions Lowest - Order displayed commodities in order Lowest Cost/Use/GHG Emissions Fixed - Display up to 5 fixed commodities for each data type. | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| mapDashboardFilters | Filters applied to the dashboard. | FilterResponse[] | |||||||||||||||||||||||||||||||||||||||||||||||||||
|
FilterResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||
| showCost | Flag to indicate if Cost data is shown on the dashboard. | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||
| showGHG | Flag to indicate if Greenhouse Gas data is shown on the dashboard. | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||
| showUse | Flag to indicate if Use data is shown on the dashboard. | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||
| title | The title of the dashboard. Maximum length of 255 characters. | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "description": "string", "fixedCommodities": [
{ "commodityCode": "string", "commodityIcon": { "code": "string", "color": "string"
}, "commodityId": 1, "commodityInfo": "string"
}
], "globalCommodityDisplay": "string", "mapDashboardFilters": [
{ "availableOperator": [
"string"
], "caption": "string", "dataFieldId": 1, "dataType": { "dataTypeCode": "string", "dataTypeId": 1, "dataTypeInfo": "string"
}, "fieldId": 1, "hidden": false, "operator": "string", "queryParameterName": "string", "recommended": false, "required": false, "value": "string"
}
], "showCost": false, "showGHG": false, "showUse": false, "title": "string"
}